#
# spec file for package hfsutils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hfsutils
Version:        3.2.6
Release:        2.20
Summary:        Tools Used for the Macintosh's Hierarchical File System
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://www.mars.org/home/rob/proj/hfs/
Source0:        ftp://ftp.mars.org/pub/hfs/hfsutils-%{version}.tar.gz
Patch0:         hfsutils-%{version}.dif
Patch1:         hfsutils-%{version}-ia64.dif
Patch2:         hfsutils-%{version}-seek.dif
Patch3:         hfsutils-%{version}-conf.dif
Patch4:         hfsutils-%{version}-errno.dif
Patch5:         hfsutils-exclusive-open.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  tcl-devel
BuildRequires:  tk-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
HFS is the Hierarchical File System used on modern Macintosh computers.
With this package, you can read and write Macintosh-formatted media,
such as floppy disks, CD-ROMs, and SCSI hard disks on most UNIX
platforms. You can also format raw media into an HFS volume.

%package -n xhfsutil
Version:        3.2.6
Release:        2.20
Summary:        Tcl/Tk Front-End for hfsutils
Group:          System/Filesystems
Requires:       hfsutils

%description -n xhfsutil
A Tcl interface for scriptable access to volumes and  Tk-based
front-end for browsing and copying files through a variety of transfer
modes (MacBinary, BinHex, text, etc.) for hfsutils.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5 -p1

%build
autoreconf --force --install
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -DUSE_INTERP_RESULT" \
%configure \
	--with-tcl=%{_libdir} \
	--with-tk=%{_libdir}
make %{?_smp_mflags} TKLIBS="-ltk%tcl_version -ltkstub%tcl_version -ltcl%tcl_version -ltclstub%tcl_version"

%install
install -d -m 755 %{buildroot}%{_prefix}/bin
install -d -m 755 %{buildroot}%{_mandir}/man1
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc README TODO CHANGES BLURB COPYING COPYRIGHT CREDITS
%{_bindir}/hattrib
%{_bindir}/hcd
%{_bindir}/hcopy
%{_bindir}/hdel
%{_bindir}/hdir
%{_bindir}/hformat
%{_bindir}/hls
%{_bindir}/hmkdir
%{_bindir}/hmount
%{_bindir}/hpwd
%{_bindir}/hrename
%{_bindir}/hrmdir
%{_bindir}/humount
%{_bindir}/hvol
%doc %{_mandir}/man1/hattrib.1.gz
%doc %{_mandir}/man1/hcd.1.gz
%doc %{_mandir}/man1/hcopy.1.gz
%doc %{_mandir}/man1/hdel.1.gz
%doc %{_mandir}/man1/hdir.1.gz
%doc %{_mandir}/man1/hformat.1.gz
%doc %{_mandir}/man1/hls.1.gz
%doc %{_mandir}/man1/hmkdir.1.gz
%doc %{_mandir}/man1/hmount.1.gz
%doc %{_mandir}/man1/hpwd.1.gz
%doc %{_mandir}/man1/hrename.1.gz
%doc %{_mandir}/man1/hrmdir.1.gz
%doc %{_mandir}/man1/humount.1.gz
%doc %{_mandir}/man1/hvol.1.gz
%doc %{_mandir}/man1/hfsutils.1.gz

%files -n xhfsutil
%defattr(-,root,root)
%{_bindir}/hfssh
%{_bindir}/hfs
%{_bindir}/xhfs
%doc %{_mandir}/man1/hfssh.1.gz
%doc %{_mandir}/man1/hfs.1.gz
%doc %{_mandir}/man1/xhfs.1.gz

%changelog
* Thu Dec  7 2017 crrodriguez@opensuse.org
- Override TKLIBS so xhfsutil does not end buildrequiring
  the X system libraries at all.
- Buildrequire tcl-devel too, which is a direct dependency.
* Sun Mar  1 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Use %%configure macro
* Thu Aug  1 2013 max@suse.com
- Add -DUSE_INTERP_RESULT to fix build with Tcl 8.6.
* Sat Jan 12 2013 coolo@suse.com
- remove suse_update_config
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Nov  5 2007 olh@suse.de
- open block devices with O_EXCL (238687)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Wed Jul 23 2003 max@suse.de
- added tk-devel to neededforbuild.
* Sun Dec  1 2002 ro@suse.de
- include errno.h where needed
* Mon Nov 18 2002 schwab@suse.de
- Enable LFS.
- Fix use of off_t.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jan 23 2002 tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Wed May 16 2001 cihlar@suse.cz
- fixed cast warnings on ia64
* Wed Mar  7 2001 cihlar@suse.cz
- fixed neededforbuild
* Wed Nov 29 2000 ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Fri Nov  3 2000 cihlar@suse.cz
- bzipped sources
- improved BuildRoot
* Tue Jul 11 2000 cihlar@suse.cz
- fixed bug in error messages in hcopy
* Fri Jun 16 2000 cihlar@suse.cz
- Copyright tag fixed
* Tue May 16 2000 cihlar@suse.cz
- xhfs, hfssh and hfs moved to xhfsutils
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Wed Apr  5 2000 cihlar@suse.cz
- added BuildRoot
- clean up spec file
* Thu Jan 20 2000 ro@suse.de
- man to /usr/share/man
* Tue Oct 12 1999 ro@suse.de
- update to 3.2.6
* Tue Oct 12 1999 ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 13 1998 ro@suse.de
- new package version 3.2
